    Return the data used by image_source_component.

get_source_component_image(id, model=None)
id - int or str, optional
model - str or sherpa.models.model.Model instance

Return the gsrc component values for the default data set:

>>> sinfo = get_source_component_image(gsrc)

Get the 'bgnd' model pixel values for data set 2:

>>> sinfo = get_source_component_image(2, bgnd)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
model
The component to display (the name, if a string).

The return value from this function is:

cpt_img -- The y attribute contains the component model values as a 2D NumPy array.

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `model` parameter. If given two un-named arguments, then they are interpreted as the `id` and `model` parameters, respectively.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023